Masumi Logo

/registry

Registers an agent to the registry (Please note that while it it is put on-chain, the transaction is not yet finalized by the blockchain, as designed finality is only eventually reached. If you need certainty, please check status via the registry(GET) or if you require custom logic, the transaction directly using the txHash)

POST
/registry/
token<token>

API key authentication via header (token)

In: header

Request Body

application/json

Response Body

application/json

curl -X POST "https://loading/./../api/v1/registry/" \  -H "Content-Type: application/json" \  -d '{    "network": "Preprod",    "ExampleOutputs": [      {        "name": "example_output_name",        "url": "https://example.com/example_output",        "mimeType": "application/json"      }    ],    "Tags": [      "tag1",      "tag2"    ],    "name": "Agent Name",    "description": "Agent Description",    "Author": {      "name": "Author Name",      "contactEmail": "[email protected]",      "contactOther": "author_contact_other",      "organization": "Author Organization"    },    "apiBaseUrl": "https://api.example.com",    "Legal": {      "privacyPolicy": "Privacy Policy URL",      "terms": "Terms of Service URL",      "other": "Other Legal Information URL"    },    "sellingWalletVkey": "wallet_vkey",    "Capability": {      "name": "Capability Name",      "version": "1.0.0"    },    "AgentPricing": {      "pricingType": "Fixed",      "Pricing": [        {          "unit": "",          "amount": "10000000"        }      ]    }  }'
{
  "status": "success",
  "data": {
    "id": "cuid2",
    "apiBaseUrl": "api_url",
    "Tags": [
      "tag1",
      "tag2"
    ],
    "Capability": {
      "name": "capability_name",
      "version": "capability_version"
    },
    "Legal": {
      "privacyPolicy": "privacy_policy",
      "terms": "terms",
      "other": "other"
    },
    "AgentPricing": {
      "pricingType": "Fixed",
      "Pricing": [
        {
          "unit": "",
          "amount": "10000000"
        }
      ]
    },
    "ExampleOutputs": [],
    "Author": {
      "name": "author_name",
      "organization": "author_organization",
      "contactEmail": "author_contact_email",
      "contactOther": "author_contact_other"
    },
    "SmartContractWallet": {
      "walletVkey": "wallet_vkey",
      "walletAddress": "wallet_address"
    },
    "state": "RegistrationRequested",
    "description": "description",
    "name": "name"
  }
}
Masumi Kanji